org.ggf.drmaa

## Class DrmaaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.ggf.drmaa.DrmaaException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AlreadyActiveSessionException, AuthorizationException, DeniedByDrmException, DrmCommunicationException, DrmsExitException, DrmsInitException, ExitTimeoutException, InconsistentStateException, InvalidAttributeValueException, InvalidJobException, InvalidJobTemplateException, NoActiveSessionException, TryLaterException, UnsupportedAttributeException

      public abstract class DrmaaException
      extends java.lang.Exception

  The base class for all DRMAA Exceptions.
  Since:
    0.5
  Version:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrmaaException()` Creates a new instance of `DrmaaException` without detail message.
    `DrmaaException(java.lang.String msg)` Constructs an instance of `DrmaaException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DrmaaException

          public DrmaaException()

      Creates a new instance of `DrmaaException` without detail message.

    - #### DrmaaException

          public DrmaaException(java.lang.String msg)

      Constructs an instance of `DrmaaException` with the specified detail message.
      Parameters:
        `msg` - the detail message.

The contents of this file are licensed under the Sun Industry Standards Source License version 1.2.
Copyright 2008, Sun Microsystems, Inc.